Quassel IRC - Bug #687

Columns in main chat window seem 'locked’
05/03/2009 09:45 PM - cvandonderen

Status: Resolved Start date: 05/03/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.7.0

Version: 0.41 0S: Linux
Description

In the main chat window you first have to drag the black column lines in the direction dragged last to 'unlock them'. They are not
directly movable: e.g. | drag the timestamp bar left, release it, now | want to drag it to the right (not possible). | first have to drag it a
few pixels to the left & can only then drag it to the right.

OpenSuSE community package 0.4.1 + KDE 4.2.2 + Qt 4.4.3

Associated revisions

Revision b1d9c3ea56467245¢c910ac1de1252¢c2a91¢234f0 - 06/30/2010 06:33 PM - Manuel Nickschas
Fix and Qt-4.6-ify ColumnHandleltem
Now that we depend on Qt 4.6, use QGraphicsObject and QPropertyAnimation.

Also, the columnhandle can now no longer get lost while moving.
Fixes #247, fixes #687.

Revision b1d9c3ea - 06/30/2010 06:33 PM - Manuel Nickschas
Fix and Qt-4.6-ify ColumnHandleltem
Now that we depend on Qt 4.6, use QGraphicsObject and QPropertyAnimation.

Also, the columnhandle can now no longer get lost while moving.
Fixes #247, fixes #687.

History

#1 - 06/30/2010 06:35 PM - Sputnick
- Assignee set to Sputnick

- Target version set to 0.7.0

#2 - 06/30/2010 06:45 PM - Sputnick
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset b1d9c3ea56467245c910acide1252c2a91¢234f0.
